Bug 2258135 - Review Request: rust-uu_join - join ~ (uutils) merge lines from inputs with matching join fields
Summary: Review Request: rust-uu_join - join ~ (uutils) merge lines from inputs with m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL: https://crates.io/crates/uu_join
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-01-12 21:26 UTC by Michel Lind
Modified: 2024-01-22 03:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-01-12 22:15:33 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Michel Lind 2024-01-12 21:26:26 UTC
Spec URL: https://salimma.fedorapeople.org/specs/rust-uu_join.spec
SRPM URL: https://salimma.fedorapeople.org/specs/rust-uu_join-0.0.23-1.fc38.src.rpm

Description:
join ~ (uutils) merge lines from inputs with matching join fields.

Fedora Account System Username: salimma

Comment 1 Fedora Review Service 2024-01-12 21:37:21 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/6888987
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2258135-rust-uu_join/fedora-rawhide-x86_64/06888987-rust-uu_join/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 2 Fabio Valentini 2024-01-12 21:58:42 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass (there are no tests)
- latest version of the crate is packaged
- license matches upstream specification (MIT) and is acceptable for Fedora
- licenses of statically linked dependencies are correctly taken into account
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- add @rust-sig with "commit" access as package co-maintainer
  (should happen automatically)

- set bugzilla assignee overrides to @rust-sig (optional)

- track package in koschei for all built branches
  (should happen automatically once rust-sig is co-maintainer)

Comment 3 Fedora Admin user for bugzilla script actions 2024-01-12 22:00:27 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-uu_join

Comment 4 Fedora Update System 2024-01-12 22:12:12 UTC
FEDORA-2024-80028facbd has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2024-80028facbd

Comment 5 Fedora Update System 2024-01-12 22:15:33 UTC
FEDORA-2024-80028facbd has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-01-13 21:47:27 UTC
FEDORA-2024-660e0b6d52 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2024-660e0b6d52

Comment 7 Fedora Update System 2024-01-13 21:47:43 UTC
FEDORA-2024-baeb5519b8 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2024-baeb5519b8

Comment 8 Fedora Update System 2024-01-14 01:23:19 UTC
FEDORA-2024-660e0b6d52 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-660e0b6d52 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-660e0b6d52

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-01-14 01:47:28 UTC
FEDORA-2024-baeb5519b8 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-baeb5519b8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-baeb5519b8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-01-22 01:14:28 UTC
FEDORA-2024-660e0b6d52 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2024-01-22 03:58:09 UTC
FEDORA-2024-baeb5519b8 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.